Bug 1700564 (CVE-2019-2684) - CVE-2019-2684 OpenJDK: Incorrect skeleton selection in RMI registry server-side dispatch handling (RMI, 8218453)
Summary: CVE-2019-2684 OpenJDK: Incorrect skeleton selection in RMI registry server-si...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-2684
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1693471 1693472 1693473 1693474 1693475 1695906 1695907 1695908 1695909 1698440 1698441 1698445 1704238 1704239 1704240 1704241 1704242 1704243 1704244 1704245 1708139
Blocks: 1693469
TreeView+ depends on / blocked
 
Reported: 2019-04-16 21:49 UTC by Tomas Hoger
Modified: 2019-09-29 15:11 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:54:24 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0960 None None None 2019-05-01 17:22:41 UTC
Red Hat Product Errata RHSA-2019:0774 None None None 2019-04-17 15:37:49 UTC
Red Hat Product Errata RHSA-2019:0775 None None None 2019-04-17 15:37:59 UTC
Red Hat Product Errata RHSA-2019:0778 None None None 2019-04-17 16:04:44 UTC
Red Hat Product Errata RHSA-2019:0790 None None None 2019-04-22 14:30:35 UTC
Red Hat Product Errata RHSA-2019:0791 None None None 2019-04-22 14:30:46 UTC
Red Hat Product Errata RHSA-2019:1146 None None None 2019-05-13 07:01:07 UTC
Red Hat Product Errata RHSA-2019:1163 None None None 2019-05-13 21:07:47 UTC
Red Hat Product Errata RHSA-2019:1164 None None None 2019-05-13 21:07:59 UTC
Red Hat Product Errata RHSA-2019:1165 None None None 2019-05-13 21:08:09 UTC
Red Hat Product Errata RHSA-2019:1166 None None None 2019-05-13 21:08:18 UTC
Red Hat Product Errata RHSA-2019:1238 None None None 2019-05-16 13:25:39 UTC
Red Hat Product Errata RHSA-2019:1325 None None None 2019-06-04 13:24:50 UTC
Red Hat Product Errata RHSA-2019:1518 None None None 2019-06-18 17:19:40 UTC

Description Tomas Hoger 2019-04-16 21:49:11 UTC
A flaw was found in the RMI registry implementation in the RMI component of OpenJDK.  Incorrect handling of the server-side dispatch could lead to selection of an incorrect skeleton class.

Comment 1 Tomas Hoger 2019-04-16 22:04:40 UTC
Public now via Oracle CPU April 2019:

https://www.oracle.com/technetwork/security-advisory/cpuapr2019-5072813.html#AppendixJAVA

Fixed in Oracle Java 12.0.1, 11.0.3, 8u211, and 7u221.

Comment 2 errata-xmlrpc 2019-04-17 15:37:48 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2019:0774 https://access.redhat.com/errata/RHSA-2019:0774

Comment 3 errata-xmlrpc 2019-04-17 15:37:58 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:0775 https://access.redhat.com/errata/RHSA-2019:0775

Comment 4 errata-xmlrpc 2019-04-17 16:04:43 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:0778 https://access.redhat.com/errata/RHSA-2019:0778

Comment 5 Tomas Hoger 2019-04-17 19:58:01 UTC
OpenJDK-11 upstream commit:

http://hg.openjdk.java.net/jdk-updates/jdk11u/rev/1084d119236b

OpenJDK-8 upstream commit:

http://hg.openjdk.java.net/jdk8u/jdk8u/jdk/rev/52f3117d3120

Comment 6 errata-xmlrpc 2019-04-22 14:30:35 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2019:0790 https://access.redhat.com/errata/RHSA-2019:0790

Comment 7 errata-xmlrpc 2019-04-22 14:30:45 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:0791 https://access.redhat.com/errata/RHSA-2019:0791

Comment 8 errata-xmlrpc 2019-05-13 07:01:06 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:1146 https://access.redhat.com/errata/RHSA-2019:1146

Comment 9 errata-xmlrpc 2019-05-13 21:07:46 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6 Supplementary

Via RHSA-2019:1163 https://access.redhat.com/errata/RHSA-2019:1163

Comment 10 errata-xmlrpc 2019-05-13 21:07:58 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7 Supplementary

Via RHSA-2019:1164 https://access.redhat.com/errata/RHSA-2019:1164

Comment 11 errata-xmlrpc 2019-05-13 21:08:08 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6 Supplementary

Via RHSA-2019:1165 https://access.redhat.com/errata/RHSA-2019:1165

Comment 12 errata-xmlrpc 2019-05-13 21:08:17 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7 Supplementary

Via RHSA-2019:1166 https://access.redhat.com/errata/RHSA-2019:1166

Comment 13 errata-xmlrpc 2019-05-16 13:25:38 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:1238 https://access.redhat.com/errata/RHSA-2019:1238

Comment 14 errata-xmlrpc 2019-06-04 13:24:49 UTC
This issue has been addressed in the following products:

  Red Hat Satellite 5.8

Via RHSA-2019:1325 https://access.redhat.com/errata/RHSA-2019:1325

Comment 15 errata-xmlrpc 2019-06-18 17:19:39 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:1518 https://access.redhat.com/errata/RHSA-2019:1518


Note You need to log in before you can comment on or make changes to this bug.